IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network2.232.0.0/13
Usable hosts524,286
Subnet mask255.248.0.0
Addresses524,288
- Network address
2.232.0.0- Broadcast address
2.239.255.255- First usable
2.232.0.1- Last usable
2.239.255.254- Usable hosts
- 524,286 (524,288 less the network and broadcast addresses)
- Subnet mask
255.248.0.0- Wildcard mask
0.7.255.255(Cisco ACLs, OSPF)- Prefix length
- /13
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
02E80000· Integer48758784to49283071 - Reverse DNS zones
232.2.in-addr.arpa233.2.in-addr.arpa234.2.in-addr.arpa235.2.in-addr.arpa236.2.in-addr.arpa237.2.in-addr.arpa238.2.in-addr.arpa239.2.in-addr.arpa
/13 is not on a 8-bit boundary, so it takes 8 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000010.11101000.00000000.00000000 | 2.232.0.0 |
| Subnet mask | 11111111.11111000.00000000.00000000 | 255.248.0.0 |
| Network | 00000010.11101000.00000000.00000000 | 2.232.0.0 |
| Broadcast | 00000010.11101111.11111111.11111111 | 2.239.255.255 |
Split into smaller subnets
/14 (2)/15 (4)/16 (8)/17 (16)/18 (32)/19 (64)/20 (128)/21 (256)/22 (512)/23 (1,024)/24 (2,048)/25 (4,096)
2.232.0.0/13 makes 2,048 subnets of /24; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 2.232.0.0/24 | 2.232.0.1 to 2.232.0.254 | 2.232.0.255 | 254 |
| 2 | 2.232.1.0/24 | 2.232.1.1 to 2.232.1.254 | 2.232.1.255 | 254 |
| 3 | 2.232.2.0/24 | 2.232.2.1 to 2.232.2.254 | 2.232.2.255 | 254 |
| 4 | 2.232.3.0/24 | 2.232.3.1 to 2.232.3.254 | 2.232.3.255 | 254 |
| 5 | 2.232.4.0/24 | 2.232.4.1 to 2.232.4.254 | 2.232.4.255 | 254 |
| 6 | 2.232.5.0/24 | 2.232.5.1 to 2.232.5.254 | 2.232.5.255 | 254 |
| 7 | 2.232.6.0/24 | 2.232.6.1 to 2.232.6.254 | 2.232.6.255 | 254 |
| 8 | 2.232.7.0/24 | 2.232.7.1 to 2.232.7.254 | 2.232.7.255 | 254 |
| 9 | 2.232.8.0/24 | 2.232.8.1 to 2.232.8.254 | 2.232.8.255 | 254 |
| 10 | 2.232.9.0/24 | 2.232.9.1 to 2.232.9.254 | 2.232.9.255 | 254 |
| 11 | 2.232.10.0/24 | 2.232.10.1 to 2.232.10.254 | 2.232.10.255 | 254 |
| 12 | 2.232.11.0/24 | 2.232.11.1 to 2.232.11.254 | 2.232.11.255 | 254 |
| 13 | 2.232.12.0/24 | 2.232.12.1 to 2.232.12.254 | 2.232.12.255 | 254 |
| 14 | 2.232.13.0/24 | 2.232.13.1 to 2.232.13.254 | 2.232.13.255 | 254 |
| 15 | 2.232.14.0/24 | 2.232.14.1 to 2.232.14.254 | 2.232.14.255 | 254 |
| 16 | 2.232.15.0/24 | 2.232.15.1 to 2.232.15.254 | 2.232.15.255 | 254 |
| 17 | 2.232.16.0/24 | 2.232.16.1 to 2.232.16.254 | 2.232.16.255 | 254 |
| 18 | 2.232.17.0/24 | 2.232.17.1 to 2.232.17.254 | 2.232.17.255 | 254 |
| 19 | 2.232.18.0/24 | 2.232.18.1 to 2.232.18.254 | 2.232.18.255 | 254 |
| 20 | 2.232.19.0/24 | 2.232.19.1 to 2.232.19.254 | 2.232.19.255 | 254 |
| 21 | 2.232.20.0/24 | 2.232.20.1 to 2.232.20.254 | 2.232.20.255 | 254 |
| 22 | 2.232.21.0/24 | 2.232.21.1 to 2.232.21.254 | 2.232.21.255 | 254 |
| 23 | 2.232.22.0/24 | 2.232.22.1 to 2.232.22.254 | 2.232.22.255 | 254 |
| 24 | 2.232.23.0/24 | 2.232.23.1 to 2.232.23.254 | 2.232.23.255 | 254 |
| 25 | 2.232.24.0/24 | 2.232.24.1 to 2.232.24.254 | 2.232.24.255 | 254 |
| 26 | 2.232.25.0/24 | 2.232.25.1 to 2.232.25.254 | 2.232.25.255 | 254 |
| 27 | 2.232.26.0/24 | 2.232.26.1 to 2.232.26.254 | 2.232.26.255 | 254 |
| 28 | 2.232.27.0/24 | 2.232.27.1 to 2.232.27.254 | 2.232.27.255 | 254 |
| 29 | 2.232.28.0/24 | 2.232.28.1 to 2.232.28.254 | 2.232.28.255 | 254 |
| 30 | 2.232.29.0/24 | 2.232.29.1 to 2.232.29.254 | 2.232.29.255 | 254 |
| 31 | 2.232.30.0/24 | 2.232.30.1 to 2.232.30.254 | 2.232.30.255 | 254 |
| 32 | 2.232.31.0/24 | 2.232.31.1 to 2.232.31.254 | 2.232.31.255 | 254 |
| 33 | 2.232.32.0/24 | 2.232.32.1 to 2.232.32.254 | 2.232.32.255 | 254 |
| 34 | 2.232.33.0/24 | 2.232.33.1 to 2.232.33.254 | 2.232.33.255 | 254 |
| 35 | 2.232.34.0/24 | 2.232.34.1 to 2.232.34.254 | 2.232.34.255 | 254 |
| 36 | 2.232.35.0/24 | 2.232.35.1 to 2.232.35.254 | 2.232.35.255 | 254 |
| 37 | 2.232.36.0/24 | 2.232.36.1 to 2.232.36.254 | 2.232.36.255 | 254 |
| 38 | 2.232.37.0/24 | 2.232.37.1 to 2.232.37.254 | 2.232.37.255 | 254 |
| 39 | 2.232.38.0/24 | 2.232.38.1 to 2.232.38.254 | 2.232.38.255 | 254 |
| 40 | 2.232.39.0/24 | 2.232.39.1 to 2.232.39.254 | 2.232.39.255 | 254 |
| 41 | 2.232.40.0/24 | 2.232.40.1 to 2.232.40.254 | 2.232.40.255 | 254 |
| 42 | 2.232.41.0/24 | 2.232.41.1 to 2.232.41.254 | 2.232.41.255 | 254 |
| 43 | 2.232.42.0/24 | 2.232.42.1 to 2.232.42.254 | 2.232.42.255 | 254 |
| 44 | 2.232.43.0/24 | 2.232.43.1 to 2.232.43.254 | 2.232.43.255 | 254 |
| 45 | 2.232.44.0/24 | 2.232.44.1 to 2.232.44.254 | 2.232.44.255 | 254 |
| 46 | 2.232.45.0/24 | 2.232.45.1 to 2.232.45.254 | 2.232.45.255 | 254 |
| 47 | 2.232.46.0/24 | 2.232.46.1 to 2.232.46.254 | 2.232.46.255 | 254 |
| 48 | 2.232.47.0/24 | 2.232.47.1 to 2.232.47.254 | 2.232.47.255 | 254 |
| 49 | 2.232.48.0/24 | 2.232.48.1 to 2.232.48.254 | 2.232.48.255 | 254 |
| 50 | 2.232.49.0/24 | 2.232.49.1 to 2.232.49.254 | 2.232.49.255 | 254 |
| 51 | 2.232.50.0/24 | 2.232.50.1 to 2.232.50.254 | 2.232.50.255 | 254 |
| 52 | 2.232.51.0/24 | 2.232.51.1 to 2.232.51.254 | 2.232.51.255 | 254 |
| 53 | 2.232.52.0/24 | 2.232.52.1 to 2.232.52.254 | 2.232.52.255 | 254 |
| 54 | 2.232.53.0/24 | 2.232.53.1 to 2.232.53.254 | 2.232.53.255 | 254 |
| 55 | 2.232.54.0/24 | 2.232.54.1 to 2.232.54.254 | 2.232.54.255 | 254 |
| 56 | 2.232.55.0/24 | 2.232.55.1 to 2.232.55.254 | 2.232.55.255 | 254 |
| 57 | 2.232.56.0/24 | 2.232.56.1 to 2.232.56.254 | 2.232.56.255 | 254 |
| 58 | 2.232.57.0/24 | 2.232.57.1 to 2.232.57.254 | 2.232.57.255 | 254 |
| 59 | 2.232.58.0/24 | 2.232.58.1 to 2.232.58.254 | 2.232.58.255 | 254 |
| 60 | 2.232.59.0/24 | 2.232.59.1 to 2.232.59.254 | 2.232.59.255 | 254 |
| 61 | 2.232.60.0/24 | 2.232.60.1 to 2.232.60.254 | 2.232.60.255 | 254 |
| 62 | 2.232.61.0/24 | 2.232.61.1 to 2.232.61.254 | 2.232.61.255 | 254 |
| 63 | 2.232.62.0/24 | 2.232.62.1 to 2.232.62.254 | 2.232.62.255 | 254 |
| 64 | 2.232.63.0/24 | 2.232.63.1 to 2.232.63.254 | 2.232.63.255 | 254 |
| 65 | 2.232.64.0/24 | 2.232.64.1 to 2.232.64.254 | 2.232.64.255 | 254 |
| 66 | 2.232.65.0/24 | 2.232.65.1 to 2.232.65.254 | 2.232.65.255 | 254 |
| 67 | 2.232.66.0/24 | 2.232.66.1 to 2.232.66.254 | 2.232.66.255 | 254 |
| 68 | 2.232.67.0/24 | 2.232.67.1 to 2.232.67.254 | 2.232.67.255 | 254 |
| 69 | 2.232.68.0/24 | 2.232.68.1 to 2.232.68.254 | 2.232.68.255 | 254 |
| 70 | 2.232.69.0/24 | 2.232.69.1 to 2.232.69.254 | 2.232.69.255 | 254 |
| 71 | 2.232.70.0/24 | 2.232.70.1 to 2.232.70.254 | 2.232.70.255 | 254 |
| 72 | 2.232.71.0/24 | 2.232.71.1 to 2.232.71.254 | 2.232.71.255 | 254 |
| 73 | 2.232.72.0/24 | 2.232.72.1 to 2.232.72.254 | 2.232.72.255 | 254 |
| 74 | 2.232.73.0/24 | 2.232.73.1 to 2.232.73.254 | 2.232.73.255 | 254 |
| 75 | 2.232.74.0/24 | 2.232.74.1 to 2.232.74.254 | 2.232.74.255 | 254 |
| 76 | 2.232.75.0/24 | 2.232.75.1 to 2.232.75.254 | 2.232.75.255 | 254 |
| 77 | 2.232.76.0/24 | 2.232.76.1 to 2.232.76.254 | 2.232.76.255 | 254 |
| 78 | 2.232.77.0/24 | 2.232.77.1 to 2.232.77.254 | 2.232.77.255 | 254 |
| 79 | 2.232.78.0/24 | 2.232.78.1 to 2.232.78.254 | 2.232.78.255 | 254 |
| 80 | 2.232.79.0/24 | 2.232.79.1 to 2.232.79.254 | 2.232.79.255 | 254 |
| 81 | 2.232.80.0/24 | 2.232.80.1 to 2.232.80.254 | 2.232.80.255 | 254 |
| 82 | 2.232.81.0/24 | 2.232.81.1 to 2.232.81.254 | 2.232.81.255 | 254 |
| 83 | 2.232.82.0/24 | 2.232.82.1 to 2.232.82.254 | 2.232.82.255 | 254 |
| 84 | 2.232.83.0/24 | 2.232.83.1 to 2.232.83.254 | 2.232.83.255 | 254 |
| 85 | 2.232.84.0/24 | 2.232.84.1 to 2.232.84.254 | 2.232.84.255 | 254 |
| 86 | 2.232.85.0/24 | 2.232.85.1 to 2.232.85.254 | 2.232.85.255 | 254 |
| 87 | 2.232.86.0/24 | 2.232.86.1 to 2.232.86.254 | 2.232.86.255 | 254 |
| 88 | 2.232.87.0/24 | 2.232.87.1 to 2.232.87.254 | 2.232.87.255 | 254 |
| 89 | 2.232.88.0/24 | 2.232.88.1 to 2.232.88.254 | 2.232.88.255 | 254 |
| 90 | 2.232.89.0/24 | 2.232.89.1 to 2.232.89.254 | 2.232.89.255 | 254 |
| 91 | 2.232.90.0/24 | 2.232.90.1 to 2.232.90.254 | 2.232.90.255 | 254 |
| 92 | 2.232.91.0/24 | 2.232.91.1 to 2.232.91.254 | 2.232.91.255 | 254 |
| 93 | 2.232.92.0/24 | 2.232.92.1 to 2.232.92.254 | 2.232.92.255 | 254 |
| 94 | 2.232.93.0/24 | 2.232.93.1 to 2.232.93.254 | 2.232.93.255 | 254 |
| 95 | 2.232.94.0/24 | 2.232.94.1 to 2.232.94.254 | 2.232.94.255 | 254 |
| 96 | 2.232.95.0/24 | 2.232.95.1 to 2.232.95.254 | 2.232.95.255 | 254 |
| 97 | 2.232.96.0/24 | 2.232.96.1 to 2.232.96.254 | 2.232.96.255 | 254 |
| 98 | 2.232.97.0/24 | 2.232.97.1 to 2.232.97.254 | 2.232.97.255 | 254 |
| 99 | 2.232.98.0/24 | 2.232.98.1 to 2.232.98.254 | 2.232.98.255 | 254 |
| 100 | 2.232.99.0/24 | 2.232.99.1 to 2.232.99.254 | 2.232.99.255 | 254 |
| 101 | 2.232.100.0/24 | 2.232.100.1 to 2.232.100.254 | 2.232.100.255 | 254 |
| 102 | 2.232.101.0/24 | 2.232.101.1 to 2.232.101.254 | 2.232.101.255 | 254 |
| 103 | 2.232.102.0/24 | 2.232.102.1 to 2.232.102.254 | 2.232.102.255 | 254 |
| 104 | 2.232.103.0/24 | 2.232.103.1 to 2.232.103.254 | 2.232.103.255 | 254 |
| 105 | 2.232.104.0/24 | 2.232.104.1 to 2.232.104.254 | 2.232.104.255 | 254 |
| 106 | 2.232.105.0/24 | 2.232.105.1 to 2.232.105.254 | 2.232.105.255 | 254 |
| 107 | 2.232.106.0/24 | 2.232.106.1 to 2.232.106.254 | 2.232.106.255 | 254 |
| 108 | 2.232.107.0/24 | 2.232.107.1 to 2.232.107.254 | 2.232.107.255 | 254 |
| 109 | 2.232.108.0/24 | 2.232.108.1 to 2.232.108.254 | 2.232.108.255 | 254 |
| 110 | 2.232.109.0/24 | 2.232.109.1 to 2.232.109.254 | 2.232.109.255 | 254 |
| 111 | 2.232.110.0/24 | 2.232.110.1 to 2.232.110.254 | 2.232.110.255 | 254 |
| 112 | 2.232.111.0/24 | 2.232.111.1 to 2.232.111.254 | 2.232.111.255 | 254 |
| 113 | 2.232.112.0/24 | 2.232.112.1 to 2.232.112.254 | 2.232.112.255 | 254 |
| 114 | 2.232.113.0/24 | 2.232.113.1 to 2.232.113.254 | 2.232.113.255 | 254 |
| 115 | 2.232.114.0/24 | 2.232.114.1 to 2.232.114.254 | 2.232.114.255 | 254 |
| 116 | 2.232.115.0/24 | 2.232.115.1 to 2.232.115.254 | 2.232.115.255 | 254 |
| 117 | 2.232.116.0/24 | 2.232.116.1 to 2.232.116.254 | 2.232.116.255 | 254 |
| 118 | 2.232.117.0/24 | 2.232.117.1 to 2.232.117.254 | 2.232.117.255 | 254 |
| 119 | 2.232.118.0/24 | 2.232.118.1 to 2.232.118.254 | 2.232.118.255 | 254 |
| 120 | 2.232.119.0/24 | 2.232.119.1 to 2.232.119.254 | 2.232.119.255 | 254 |
| 121 | 2.232.120.0/24 | 2.232.120.1 to 2.232.120.254 | 2.232.120.255 | 254 |
| 122 | 2.232.121.0/24 | 2.232.121.1 to 2.232.121.254 | 2.232.121.255 | 254 |
| 123 | 2.232.122.0/24 | 2.232.122.1 to 2.232.122.254 | 2.232.122.255 | 254 |
| 124 | 2.232.123.0/24 | 2.232.123.1 to 2.232.123.254 | 2.232.123.255 | 254 |
| 125 | 2.232.124.0/24 | 2.232.124.1 to 2.232.124.254 | 2.232.124.255 | 254 |
| 126 | 2.232.125.0/24 | 2.232.125.1 to 2.232.125.254 | 2.232.125.255 | 254 |
| 127 | 2.232.126.0/24 | 2.232.126.1 to 2.232.126.254 | 2.232.126.255 | 254 |
| 128 | 2.232.127.0/24 | 2.232.127.1 to 2.232.127.254 | 2.232.127.255 | 254 |
| 129 | 2.232.128.0/24 | 2.232.128.1 to 2.232.128.254 | 2.232.128.255 | 254 |
| 130 | 2.232.129.0/24 | 2.232.129.1 to 2.232.129.254 | 2.232.129.255 | 254 |
| 131 | 2.232.130.0/24 | 2.232.130.1 to 2.232.130.254 | 2.232.130.255 | 254 |
| 132 | 2.232.131.0/24 | 2.232.131.1 to 2.232.131.254 | 2.232.131.255 | 254 |
| 133 | 2.232.132.0/24 | 2.232.132.1 to 2.232.132.254 | 2.232.132.255 | 254 |
| 134 | 2.232.133.0/24 | 2.232.133.1 to 2.232.133.254 | 2.232.133.255 | 254 |
| 135 | 2.232.134.0/24 | 2.232.134.1 to 2.232.134.254 | 2.232.134.255 | 254 |
| 136 | 2.232.135.0/24 | 2.232.135.1 to 2.232.135.254 | 2.232.135.255 | 254 |
| 137 | 2.232.136.0/24 | 2.232.136.1 to 2.232.136.254 | 2.232.136.255 | 254 |
| 138 | 2.232.137.0/24 | 2.232.137.1 to 2.232.137.254 | 2.232.137.255 | 254 |
| 139 | 2.232.138.0/24 | 2.232.138.1 to 2.232.138.254 | 2.232.138.255 | 254 |
| 140 | 2.232.139.0/24 | 2.232.139.1 to 2.232.139.254 | 2.232.139.255 | 254 |
| 141 | 2.232.140.0/24 | 2.232.140.1 to 2.232.140.254 | 2.232.140.255 | 254 |
| 142 | 2.232.141.0/24 | 2.232.141.1 to 2.232.141.254 | 2.232.141.255 | 254 |
| 143 | 2.232.142.0/24 | 2.232.142.1 to 2.232.142.254 | 2.232.142.255 | 254 |
| 144 | 2.232.143.0/24 | 2.232.143.1 to 2.232.143.254 | 2.232.143.255 | 254 |
| 145 | 2.232.144.0/24 | 2.232.144.1 to 2.232.144.254 | 2.232.144.255 | 254 |
| 146 | 2.232.145.0/24 | 2.232.145.1 to 2.232.145.254 | 2.232.145.255 | 254 |
| 147 | 2.232.146.0/24 | 2.232.146.1 to 2.232.146.254 | 2.232.146.255 | 254 |
| 148 | 2.232.147.0/24 | 2.232.147.1 to 2.232.147.254 | 2.232.147.255 | 254 |
| 149 | 2.232.148.0/24 | 2.232.148.1 to 2.232.148.254 | 2.232.148.255 | 254 |
| 150 | 2.232.149.0/24 | 2.232.149.1 to 2.232.149.254 | 2.232.149.255 | 254 |
| 151 | 2.232.150.0/24 | 2.232.150.1 to 2.232.150.254 | 2.232.150.255 | 254 |
| 152 | 2.232.151.0/24 | 2.232.151.1 to 2.232.151.254 | 2.232.151.255 | 254 |
| 153 | 2.232.152.0/24 | 2.232.152.1 to 2.232.152.254 | 2.232.152.255 | 254 |
| 154 | 2.232.153.0/24 | 2.232.153.1 to 2.232.153.254 | 2.232.153.255 | 254 |
| 155 | 2.232.154.0/24 | 2.232.154.1 to 2.232.154.254 | 2.232.154.255 | 254 |
| 156 | 2.232.155.0/24 | 2.232.155.1 to 2.232.155.254 | 2.232.155.255 | 254 |
| 157 | 2.232.156.0/24 | 2.232.156.1 to 2.232.156.254 | 2.232.156.255 | 254 |
| 158 | 2.232.157.0/24 | 2.232.157.1 to 2.232.157.254 | 2.232.157.255 | 254 |
| 159 | 2.232.158.0/24 | 2.232.158.1 to 2.232.158.254 | 2.232.158.255 | 254 |
| 160 | 2.232.159.0/24 | 2.232.159.1 to 2.232.159.254 | 2.232.159.255 | 254 |
| 161 | 2.232.160.0/24 | 2.232.160.1 to 2.232.160.254 | 2.232.160.255 | 254 |
| 162 | 2.232.161.0/24 | 2.232.161.1 to 2.232.161.254 | 2.232.161.255 | 254 |
| 163 | 2.232.162.0/24 | 2.232.162.1 to 2.232.162.254 | 2.232.162.255 | 254 |
| 164 | 2.232.163.0/24 | 2.232.163.1 to 2.232.163.254 | 2.232.163.255 | 254 |
| 165 | 2.232.164.0/24 | 2.232.164.1 to 2.232.164.254 | 2.232.164.255 | 254 |
| 166 | 2.232.165.0/24 | 2.232.165.1 to 2.232.165.254 | 2.232.165.255 | 254 |
| 167 | 2.232.166.0/24 | 2.232.166.1 to 2.232.166.254 | 2.232.166.255 | 254 |
| 168 | 2.232.167.0/24 | 2.232.167.1 to 2.232.167.254 | 2.232.167.255 | 254 |
| 169 | 2.232.168.0/24 | 2.232.168.1 to 2.232.168.254 | 2.232.168.255 | 254 |
| 170 | 2.232.169.0/24 | 2.232.169.1 to 2.232.169.254 | 2.232.169.255 | 254 |
| 171 | 2.232.170.0/24 | 2.232.170.1 to 2.232.170.254 | 2.232.170.255 | 254 |
| 172 | 2.232.171.0/24 | 2.232.171.1 to 2.232.171.254 | 2.232.171.255 | 254 |
| 173 | 2.232.172.0/24 | 2.232.172.1 to 2.232.172.254 | 2.232.172.255 | 254 |
| 174 | 2.232.173.0/24 | 2.232.173.1 to 2.232.173.254 | 2.232.173.255 | 254 |
| 175 | 2.232.174.0/24 | 2.232.174.1 to 2.232.174.254 | 2.232.174.255 | 254 |
| 176 | 2.232.175.0/24 | 2.232.175.1 to 2.232.175.254 | 2.232.175.255 | 254 |
| 177 | 2.232.176.0/24 | 2.232.176.1 to 2.232.176.254 | 2.232.176.255 | 254 |
| 178 | 2.232.177.0/24 | 2.232.177.1 to 2.232.177.254 | 2.232.177.255 | 254 |
| 179 | 2.232.178.0/24 | 2.232.178.1 to 2.232.178.254 | 2.232.178.255 | 254 |
| 180 | 2.232.179.0/24 | 2.232.179.1 to 2.232.179.254 | 2.232.179.255 | 254 |
| 181 | 2.232.180.0/24 | 2.232.180.1 to 2.232.180.254 | 2.232.180.255 | 254 |
| 182 | 2.232.181.0/24 | 2.232.181.1 to 2.232.181.254 | 2.232.181.255 | 254 |
| 183 | 2.232.182.0/24 | 2.232.182.1 to 2.232.182.254 | 2.232.182.255 | 254 |
| 184 | 2.232.183.0/24 | 2.232.183.1 to 2.232.183.254 | 2.232.183.255 | 254 |
| 185 | 2.232.184.0/24 | 2.232.184.1 to 2.232.184.254 | 2.232.184.255 | 254 |
| 186 | 2.232.185.0/24 | 2.232.185.1 to 2.232.185.254 | 2.232.185.255 | 254 |
| 187 | 2.232.186.0/24 | 2.232.186.1 to 2.232.186.254 | 2.232.186.255 | 254 |
| 188 | 2.232.187.0/24 | 2.232.187.1 to 2.232.187.254 | 2.232.187.255 | 254 |
| 189 | 2.232.188.0/24 | 2.232.188.1 to 2.232.188.254 | 2.232.188.255 | 254 |
| 190 | 2.232.189.0/24 | 2.232.189.1 to 2.232.189.254 | 2.232.189.255 | 254 |
| 191 | 2.232.190.0/24 | 2.232.190.1 to 2.232.190.254 | 2.232.190.255 | 254 |
| 192 | 2.232.191.0/24 | 2.232.191.1 to 2.232.191.254 | 2.232.191.255 | 254 |
| 193 | 2.232.192.0/24 | 2.232.192.1 to 2.232.192.254 | 2.232.192.255 | 254 |
| 194 | 2.232.193.0/24 | 2.232.193.1 to 2.232.193.254 | 2.232.193.255 | 254 |
| 195 | 2.232.194.0/24 | 2.232.194.1 to 2.232.194.254 | 2.232.194.255 | 254 |
| 196 | 2.232.195.0/24 | 2.232.195.1 to 2.232.195.254 | 2.232.195.255 | 254 |
| 197 | 2.232.196.0/24 | 2.232.196.1 to 2.232.196.254 | 2.232.196.255 | 254 |
| 198 | 2.232.197.0/24 | 2.232.197.1 to 2.232.197.254 | 2.232.197.255 | 254 |
| 199 | 2.232.198.0/24 | 2.232.198.1 to 2.232.198.254 | 2.232.198.255 | 254 |
| 200 | 2.232.199.0/24 | 2.232.199.1 to 2.232.199.254 | 2.232.199.255 | 254 |
| 201 | 2.232.200.0/24 | 2.232.200.1 to 2.232.200.254 | 2.232.200.255 | 254 |
| 202 | 2.232.201.0/24 | 2.232.201.1 to 2.232.201.254 | 2.232.201.255 | 254 |
| 203 | 2.232.202.0/24 | 2.232.202.1 to 2.232.202.254 | 2.232.202.255 | 254 |
| 204 | 2.232.203.0/24 | 2.232.203.1 to 2.232.203.254 | 2.232.203.255 | 254 |
| 205 | 2.232.204.0/24 | 2.232.204.1 to 2.232.204.254 | 2.232.204.255 | 254 |
| 206 | 2.232.205.0/24 | 2.232.205.1 to 2.232.205.254 | 2.232.205.255 | 254 |
| 207 | 2.232.206.0/24 | 2.232.206.1 to 2.232.206.254 | 2.232.206.255 | 254 |
| 208 | 2.232.207.0/24 | 2.232.207.1 to 2.232.207.254 | 2.232.207.255 | 254 |
| 209 | 2.232.208.0/24 | 2.232.208.1 to 2.232.208.254 | 2.232.208.255 | 254 |
| 210 | 2.232.209.0/24 | 2.232.209.1 to 2.232.209.254 | 2.232.209.255 | 254 |
| 211 | 2.232.210.0/24 | 2.232.210.1 to 2.232.210.254 | 2.232.210.255 | 254 |
| 212 | 2.232.211.0/24 | 2.232.211.1 to 2.232.211.254 | 2.232.211.255 | 254 |
| 213 | 2.232.212.0/24 | 2.232.212.1 to 2.232.212.254 | 2.232.212.255 | 254 |
| 214 | 2.232.213.0/24 | 2.232.213.1 to 2.232.213.254 | 2.232.213.255 | 254 |
| 215 | 2.232.214.0/24 | 2.232.214.1 to 2.232.214.254 | 2.232.214.255 | 254 |
| 216 | 2.232.215.0/24 | 2.232.215.1 to 2.232.215.254 | 2.232.215.255 | 254 |
| 217 | 2.232.216.0/24 | 2.232.216.1 to 2.232.216.254 | 2.232.216.255 | 254 |
| 218 | 2.232.217.0/24 | 2.232.217.1 to 2.232.217.254 | 2.232.217.255 | 254 |
| 219 | 2.232.218.0/24 | 2.232.218.1 to 2.232.218.254 | 2.232.218.255 | 254 |
| 220 | 2.232.219.0/24 | 2.232.219.1 to 2.232.219.254 | 2.232.219.255 | 254 |
| 221 | 2.232.220.0/24 | 2.232.220.1 to 2.232.220.254 | 2.232.220.255 | 254 |
| 222 | 2.232.221.0/24 | 2.232.221.1 to 2.232.221.254 | 2.232.221.255 | 254 |
| 223 | 2.232.222.0/24 | 2.232.222.1 to 2.232.222.254 | 2.232.222.255 | 254 |
| 224 | 2.232.223.0/24 | 2.232.223.1 to 2.232.223.254 | 2.232.223.255 | 254 |
| 225 | 2.232.224.0/24 | 2.232.224.1 to 2.232.224.254 | 2.232.224.255 | 254 |
| 226 | 2.232.225.0/24 | 2.232.225.1 to 2.232.225.254 | 2.232.225.255 | 254 |
| 227 | 2.232.226.0/24 | 2.232.226.1 to 2.232.226.254 | 2.232.226.255 | 254 |
| 228 | 2.232.227.0/24 | 2.232.227.1 to 2.232.227.254 | 2.232.227.255 | 254 |
| 229 | 2.232.228.0/24 | 2.232.228.1 to 2.232.228.254 | 2.232.228.255 | 254 |
| 230 | 2.232.229.0/24 | 2.232.229.1 to 2.232.229.254 | 2.232.229.255 | 254 |
| 231 | 2.232.230.0/24 | 2.232.230.1 to 2.232.230.254 | 2.232.230.255 | 254 |
| 232 | 2.232.231.0/24 | 2.232.231.1 to 2.232.231.254 | 2.232.231.255 | 254 |
| 233 | 2.232.232.0/24 | 2.232.232.1 to 2.232.232.254 | 2.232.232.255 | 254 |
| 234 | 2.232.233.0/24 | 2.232.233.1 to 2.232.233.254 | 2.232.233.255 | 254 |
| 235 | 2.232.234.0/24 | 2.232.234.1 to 2.232.234.254 | 2.232.234.255 | 254 |
| 236 | 2.232.235.0/24 | 2.232.235.1 to 2.232.235.254 | 2.232.235.255 | 254 |
| 237 | 2.232.236.0/24 | 2.232.236.1 to 2.232.236.254 | 2.232.236.255 | 254 |
| 238 | 2.232.237.0/24 | 2.232.237.1 to 2.232.237.254 | 2.232.237.255 | 254 |
| 239 | 2.232.238.0/24 | 2.232.238.1 to 2.232.238.254 | 2.232.238.255 | 254 |
| 240 | 2.232.239.0/24 | 2.232.239.1 to 2.232.239.254 | 2.232.239.255 | 254 |
| 241 | 2.232.240.0/24 | 2.232.240.1 to 2.232.240.254 | 2.232.240.255 | 254 |
| 242 | 2.232.241.0/24 | 2.232.241.1 to 2.232.241.254 | 2.232.241.255 | 254 |
| 243 | 2.232.242.0/24 | 2.232.242.1 to 2.232.242.254 | 2.232.242.255 | 254 |
| 244 | 2.232.243.0/24 | 2.232.243.1 to 2.232.243.254 | 2.232.243.255 | 254 |
| 245 | 2.232.244.0/24 | 2.232.244.1 to 2.232.244.254 | 2.232.244.255 | 254 |
| 246 | 2.232.245.0/24 | 2.232.245.1 to 2.232.245.254 | 2.232.245.255 | 254 |
| 247 | 2.232.246.0/24 | 2.232.246.1 to 2.232.246.254 | 2.232.246.255 | 254 |
| 248 | 2.232.247.0/24 | 2.232.247.1 to 2.232.247.254 | 2.232.247.255 | 254 |
| 249 | 2.232.248.0/24 | 2.232.248.1 to 2.232.248.254 | 2.232.248.255 | 254 |
| 250 | 2.232.249.0/24 | 2.232.249.1 to 2.232.249.254 | 2.232.249.255 | 254 |
| 251 | 2.232.250.0/24 | 2.232.250.1 to 2.232.250.254 | 2.232.250.255 | 254 |
| 252 | 2.232.251.0/24 | 2.232.251.1 to 2.232.251.254 | 2.232.251.255 | 254 |
| 253 | 2.232.252.0/24 | 2.232.252.1 to 2.232.252.254 | 2.232.252.255 | 254 |
| 254 | 2.232.253.0/24 | 2.232.253.1 to 2.232.253.254 | 2.232.253.255 | 254 |
| 255 | 2.232.254.0/24 | 2.232.254.1 to 2.232.254.254 | 2.232.254.255 | 254 |
| 256 | 2.232.255.0/24 | 2.232.255.1 to 2.232.255.254 | 2.232.255.255 | 254 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |